import { XDataType } from "../../../Common/Data/XDataType";
import { IConfigStorage } from "../../../Common/IConfigStorage";
import { IDesignValidationProvider, ValidationIssue } from "../../../Common/IDesignValidationProvider";
export declare class TableColumn implements IConfigStorage, IDesignValidationProvider {
    _id: string;
    name: string;
    dataType?: XDataType;
    getDesignValidationIssues(): ValidationIssue[];
    getStorageData(): object;
    setStorageData(data: object): void;
}
